Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.common.report
Class ReportServiceImpl

    java.lang.Object
      org.eclipse.emfforms.internal.common.report.ReportServiceImpl

All Implemented Interfaces:
  ReportService

    public class ReportServiceImpl

extends Object
implements ReportService

Implementation of a `ReportService`.

Author:
  emueller

Constructor Summary
`ReportServiceImpl()` Constructor.

Method Summary
`void` | `addConsumer(ReportServiceConsumer consumer)` Adds a `ReportServiceConsumer` that consumes `ReportEntities`.
`void` | `clearReports()` Discards all ReportEntities.
`List<AbstractReport>` | `getReports()` Returns all ReportEntities.
`void` | `removeConsumer(ReportServiceConsumer consumer)` Removes a `ReportServiceConsumer`.
`void` | `report(AbstractReport reportEntity)` Report an `AbstractReport` to the service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportServiceImpl

    public ReportServiceImpl()

  Constructor.

Method Detail

### report

    public void report(AbstractReport reportEntity)

  Report an `AbstractReport` to the service.

  Specified by:
    `report` in interface `ReportService`
  Parameters:
    `reportEntity` - the report entity

### getReports

    public List<AbstractReport> getReports()

  Returns all ReportEntities.

  Specified by:
    `getReports` in interface `ReportService`
  Returns:
    all ReportEntities

### clearReports

    public void clearReports()

  Discards all ReportEntities.

  Specified by:
    `clearReports` in interface `ReportService`

### addConsumer

    public void addConsumer(ReportServiceConsumer consumer)

  Adds a `ReportServiceConsumer` that consumes `ReportEntities`.

  Specified by:
    `addConsumer` in interface `ReportService`
  Parameters:
    `consumer` - a `ReportServiceConsumer`
  See Also:
    `ReportService.addConsumer(org.eclipse.emfforms.spi.common.report.ReportServiceConsumer)`

### removeConsumer

    public void removeConsumer(ReportServiceConsumer consumer)

  Removes a `ReportServiceConsumer`.

  Specified by:
    `removeConsumer` in interface `ReportService`
  Parameters:
    `consumer` - the consumer to be removed
  See Also:
    `ReportService.removeConsumer(org.eclipse.emfforms.spi.common.report.ReportServiceConsumer)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.